Skip to contents

# Filter files in a folder

Source: `R/files_filter.R`
`files_filter.Rd`

This function filters files in a folder based on the provided filter.

## Usage

    files_filter(folder.path, filter.by, full.names = TRUE)

## Arguments

folder.path

  character. Path of the folder to be filtered

filter.by

  character. Filter to be applied on the files

full.names

  logical. Whether to return full file names or not

## Value

character vector. Filtered files

## Examples

    # Gives path to files/folders with "tests" in the name in the
    # working directory
    files_filter(getwd(),"tests")
    #> character(0)